\documentclass[11pt,a4paper]{article}

\usepackage{amssymb, amsthm, enumerate, amsmath, pictexwd, ../../yomcat, ../../diagrams, ../../dcpic}

\pagestyle{empty}

\theoremstyle{definition}
\newtheorem{Q}{Question}
\newtheorem*{sol}{Solution}
\newtheorem*{solution}{Solution}

\setlength\arraycolsep{2pt}
\setlength\headheight{0pt}
\setlength\headsep{0pt}
\setlength\textwidth{400pt}
\setlength\marginparwidth{0pt}

\makeatletter
\def\imod#1{\allowbreak\mkern10mu({\operator@font mod}\,\,#1)}
\makeatother

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\begin{center}
{\bf Victoria University of Wellington}\\[1ex]
{\bf School of Mathematics, Statistics \& Operations Research}\\
\end{center}

\hrule
MATH 439 \hfill
Assignment 1 \hfill
Michael Welsh (301012788)
\vspace{1ex}\hrule\vspace{1ex}

\begin{enumerate}[1.]
	\item \begin{enumerate}[(a)]
		\item The arrows in $\mbc{C}/{\sim}$ are defined to be the $\sim_{X,Y}$ equivalence classes, so they are well defined. \\
		Let $f: X \to Y$ and $g: Y \to Z$ be arrows of $\mbc{C}/{\sim}$. Let $f$ is a $\sim_{X,Y}$ equivalence class and $g$ is a $\sim{Y,Z}$ equivalence class, so $fg$ is a $\sim{X,Z}$ equivalence class, and composition works. \\
		Let $f: X\to Y$, $g: Y \to Z$ and $h: Z \to A$ be arrows of $\mbc{C}/{\sim}$, and consider them as equivalence classes: $[f], [g], [h]$. Then \begin{align*}
		[fg][h] &= [fg(h)] \\
		&= [f(gh)] \tag{composition in \mbc{C} is associative} \\
		&= [f][gh]
		\end{align*}
		So composition in \mbc{C}/${\sim}$ is associative. \\
		Hom($X, X$) only has one element, namely the arrow \id{X}. So the only arrow $X \to X$ in \mbc{C}/${\sim}$ is the identity arrow, and it behaves as such. \\
		As these properties hold, \mbc{C}/${\sim}$ is a category. \pend
		\item Let the functor be called $F$. \\
		If $f: X \to Y$ is an arrow of \mbc{C} then $f \in \Hom(X,Y)$. $F$ maps each arrow in \mbc{C} to its equivalence class, so $F(f)$ is an element of the $\sim_{X,Y}$ equivalence class, so $F(f) : F(X) \to F(Y)$, so the domain and codomain work. \\
		Now let $f: X \to Y$ and $g: Y \to Z$. So $fg: X \to Z$. Then $F(fg) = [fg] = [f][g] = F(f)F(g)$, where $[k]$ is the equivalence class containing $k$. \\
		Now consider $\id{X}: X \to X$. So $F(\id{X})$ is the $\sim_{X,X}$ equivalence class, or \id{F(X)}. \\
		As these three properties hold, $F$ is a functor from \mbc{C} to \mbc{C}/${\sim}$. \pend 
		\item
		\item \begin{enumerate}
			\item[\rtl] Assume that $f^{-1} \sim_{Y,X} g^{-1}$. As $f$ and $g$ are isos, $g \sim_{Y,X} f$. As $\sim$ is an equivalence relation, $f \sim_{X,Y} g$.
			\item[\ltr] Assume that $f \sim_{X,Y} g$. As $f$ and $g$ are isos, $g^{-1} \sim_{X,Y} f^{-1}$. As $\sim$ is an equivalence relation, $f^{-1} \sim_{Y,X} g^{-1}$. \pend
		\end{enumerate}
	\end{enumerate}
	\item \begin{enumerate}[(a)]
		\item $fg$ is mono, so $\forall h_1, h_2 \in \mbc{C}_{arr}$, $h_1(fg) = h_2(fg) \implies h_1 = h_2$. In diagram form, $A \pile{\rTo^{h_1} \\ \rTo_{h_2}} B \rTo^f C \rTo^g D$. Consider the arrows $h_1f, h_2f : A \rTo C$. As $h_1f = h_2f$ and $h_1 = h_2$, $f$ is therefore mono. \pend
		\item $gf$ is epi, so $\forall h_1, h_2 \in \mbc{C}_{arr}$, $(gf)h_1 = (gf)h_2 \implies h_1 = h_2$. In diagram form, $A \pile{\lTo^{h_1} \\ \lTo_{h_2}} B \lTo^f C \lTo^g D$. Consider the arrows $fh_1, fh_2 : C \rTo A$. As $fh_1 = fh_2$ and $h_1 = h_2$, $f$ is therefore epi. \pend
	\end{enumerate}
	\item \begin{enumerate}[(a)]
		\item A mono $f: A \to B$ is called $split$ if there is $g: B \to A$ such that $fg = \id{A}$
		\item Let $F$ be a functor and $k: X \to Y$ be a split epi. Then there exists $h: Y \to X$ such that $hk = \id{X}$. As $F$ is a functor, $F(hk) = F(h)f(k)$ and $F(\id{X}) = \id{F(X)}$. Applying $F$ to both sides of $hk = \id{X}$ gives $F(h)F(k) = \id{F(X)}$, so $F(k)$ is a split epi. \\
		Likewise for split monos. Therefore every functor preserves split epis and monos. \pend
	\end{enumerate}
	\item The embedding $\mbb{Z} \to \mbb{Q}$ is defined as $f: a \mapsto \frac{a}{1}$. Let \mbb{T} be an element of \textbf{CRing} such that $g, h: \mbb{Q} \to \mbb{T}$ and $fg = fh$. Then the following diagram commutes:
	\begin{diagram}
	\mbb{Z} & \rTo^f & \mbb{Q} \\
	\dTo^f & & \dTo_h \\
	\mbb{Q} & \rTo_g & \mbb{T}
	\end{diagram}
	Therefore, \begin{align*}
	g(f(a)) &= h(f(a)) \\
	g\left(\frac{a}{1}\right) &= h\left(\frac{a}{1}\right)
	\end{align*}
	As $g$ and $h$ are functions from \mbb{Q} to \mbb{T}, and their images are equal, they must be equal. Therefore, $g = h$ and $f$ is epi. \pend
	\item \begin{enumerate}[(a)]
		\item $f,g \in \carr{C}$ and $A,B,C \in \cobj{C}$. Let $f: A \to B$, $g: B \to C$. Then there are three possible cases:
			\begin{enumerate}
				\item[$f$, $g$ are iso:] As $f$ is iso, $\exists f^{-1}: B \to A$ such that $ff^{-1} = \id{A}$ and $f^{-1}f = \id{B}$. As $g$ is iso, $\exists g^{-1}: C \to B$ such that $gg^{-1} = \id{B}$ and $g^{-1}g = \id{C}$. Then: \begin{align*}
				(fg)(g^{-1}f^{-1}) &= (f(gg^{-1}))f^{-1} & (g^{-1}f^{-1})(fg) &= (g^{-1}(f^{-1}f))g \\
				&= (f\id{B})f^{-1} & &= (g^{-1}\id{B})g \\
				&= ff^{-1} & &= g^{-1}g \\
				&= \id{A} & &= \id{C}
				\end{align*}
				\carr{C} is closed under composition, so $g^{-1}f^{-1} \in \carr{C}$ and $fg$ is therefore iso.
				\item[$f$, $fg$ are iso:] As $f$ is iso, $\exists f^{-1} : B \to A$ such that $f^{-1}f = \id{B}$ and $ff^{-1} = \id{A}$. As $fg$ is iso, $\exists (fg)^{-1} = g^{-1}f^{-1}: C \to A$ such that $(fg)(g^{-1}f^{-1}) = \id{A}$ and $(g^{-1}f^{-1})(fg) = \id{C}$. Then:
				\begin{align*}
				gg^{-1} &= \id{B}gg^{-1} & g^{-1}g &= g^{-1}\id{B}g \\
				&= (f^{-1}f)(gg^{-1}) & &= g^{-1}(f^{-1}f)g \\
				&= f^{-1}(fg)g^{-1} & &= (g^{-1}f^{-1})(fg) \\
				&= \id{B} & &= \id{C}
				\end{align*}
				\carr{C} is closed under composition, so $g^{-1} \in \carr{C}$ and $g$ is therefore iso.
				\item[$g$, $fg$ are iso:] As $g$ is iso, $\exists g^{-1} : C \to B$ such that $g^{-1}g = \id{C}$ and $gg^{-1} = \id{B}$. As $fg$ is iso, $\exists (fg)^{-1} = g^{-1}f^{-1}: C \to A$ such that $(fg)(g^{-1}f^{-1}) = \id{A}$ and $(g^{-1}f^{-1})(fg) = \id{C}$. Then:
				\begin{align*}
				ff^{-1} &= f\id{B}f^{-1} & f^{-1}f &= \id{B}f^{-1}f \\
				&= fg(g^{-1})f^{-1} & &= (gg^{-1})(f^{-1}f) \\
				&= (fg)(g^{-1}f^{-1}) & &= g(g^{-1}f^{-1})f \\
				&= \id{A} & &= \id{B}
				\end{align*}
				\carr{C} is closed under composition, so $f^{-1} \in \carr{C}$ and $f$ is therefore iso.
			\end{enumerate}
		\item $f: A \rTo B$ is split mono, so $\exists g$ such that $fg = \id{A}$. Also, $ff^{-1} = \id{A}$. So $ff^{-1} = fg$, and, as $f$ is epi, this implies that $g = f^{-1}$. In other words, $g$ is the inverse of $f$ and so $f$ is invertible and therefore iso.
		\item $f: A \rTo B$ is split epi, so $\exists g$ such that $gf = \id{B}$. Also, $f^{-1}f = \id{B}$. So $f^{-1}f = gf$, and, as $f$ is mono, this implies that $g = f^{-1}$. In other words, $g$ is the inverse of $f$ and so $f$ is invertible and therefore iso. \pend
	\end{enumerate}
	\item \begin{enumerate}[(a)]
		\item Let $Fk: FA \to FB$ be an epi. Then $FkFf = FkFg$ implies that $Ff = Fg$. $F$ is an injection, so if $Ff = Fg$ then $f = g$, and if $FkFf = FkFg$ then $kf = kg$. So $k$ is also an epi. \\
		Let $Fk: FA \to FB$ be a mono. Then $FfFk = FgFk$ implies that $Ff = Fg$. $F$ is an injection, so if $Ff = Fg$ then $f = g$, and if $FfFk = FgFk$ then $fk = gk$. So $k$ is also a mono. \pend
		\item $FA \in \mbc{D}$ is an initial object, so $|\Hom_\mbc{D}(FA,FB)| = 1\ \forall FB \in \mbc{D}$. As $F: \Hom_\mbc{C}(A,B) \to \Hom_\mbc{D}(FA,FB)$ is a bijection, $|\Hom_\mbc{C}(A,B)| = 1\ \forall B \in \mbc{C}$, so $A \in \mbc{C}$ is an initial object and $F: \mbc{C} \to \mbc{D}$ reflects initial (or terminal) objects. \pend
	\end{enumerate}
	\item \begin{enumerate}[(a)]
		\item Let $f: X \to Y$ and $g: Y \to Z$. Then $\wp(fg)(A) = g(f(A)) = g(\wp(f)(A)) = \wp(g)(\wp(f)(A)) = \wp(f)\wp(g)(A)$ \\
		Also, $\wp(\id{X})(X) = \id{X}(X) = X = \id{\wp(X)}$. \\
		As these two conditions hold, and if $f: X \to Y$ then the definition of $\wp$ states $\wp(f): \wp(X) \to \wp(Y)$, $\wp$ is a functor from \cat{Set} to \cat{Set}. \pend
		\item Consider the following diagram:
		\[\begindc{\commdiag}[3]
		\obj(10,30)[a]{$A$}
		%\obj(3,35)[g]{$a$}
		\obj(30,30)[c]{$B$}
		%\obj(37,35)[hg]{$f(a)$}
		\obj(10,10)[b]{$\wp(A)$}
		%\obj(3,5)[gf]{$\{a\}$}
		\obj(30,10)[d]{$\wp(B)$}
		%\obj(37,5)[hgf]{$f(\{a\})$}
		\mor{a}{b}{$\eta_{A}$}[-1,0]
		\mor{c}{d}{$\eta_{B}$}
		\mor{a}{c}{$f$}
		\mor{b}{d}{$\wp(f)$}[-1,0]
		%\cmor((7,5)(20,4)(31,5)) \pright(0,20){} % bottom
		%\cmor((3,33)(2,20)(3,8)) \pdown(10,10){} %left
		%\cmor((5,35)(20,36)(32,35)) \pright(15,15){} %top
		%\cmor((37,32)(38,20)(37,8)) \pdown(3,4){} %right
		\enddc\]
		Let $a$ be an element of $A$. Then $\eta_A(a) = \{a\}$ and $f(a) \in B$, as shown in the diagram
		\[\begindc{\commdiag}[3]
		\obj(10,30)[a]{$A$}
		\obj(3,35)[g]{$a$}
		\obj(30,30)[c]{$B$}
		\obj(37,35)[hg]{$f(a)$}
		\obj(10,10)[b]{$\wp(A)$}
		\obj(3,5)[gf]{$\{a\}$}
		\obj(30,10)[d]{$\wp(B)$}
		%\obj(37,5)[hgf]{$f(\{a\})$}
		\mor{a}{b}{$\eta_{A}$}[-1,0]
		\mor{c}{d}{$\eta_{B}$}
		\mor{a}{c}{$f$}
		\mor{b}{d}{$\wp(f)$}[-1,0]
		%\cmor((7,5)(20,4)(31,5)) \pright(0,20){} % bottom
		\cmor((3,33)(2,20)(3,8)) \pdown(10,10){} %left
		\cmor((5,35)(20,36)(32,35)) \pright(15,15){} %top
		%\cmor((37,32)(38,20)(37,8)) \pdown(3,4){} %right
		\enddc\]
		Now $\eta_B(f(a)) = \{f(a)\} = f(\{a\})$. Also, $\wp(f)(\{a\}) = f(\{a\})$, so the following diagram commutes
		\[\begindc{\commdiag}[3]
		\obj(10,30)[a]{$A$}
		\obj(3,35)[g]{$a$}
		\obj(30,30)[c]{$B$}
		\obj(37,35)[hg]{$f(a)$}
		\obj(10,10)[b]{$\wp(A)$}
		\obj(3,5)[gf]{$\{a\}$}
		\obj(30,10)[d]{$\wp(B)$}
		\obj(37,5)[hgf]{$f(\{a\})$}
		\mor{a}{b}{$\eta_{A}$}[-1,0]
		\mor{c}{d}{$\eta_{B}$}
		\mor{a}{c}{$f$}
		\mor{b}{d}{$\wp(f)$}[-1,0]
		\cmor((7,5)(20,4)(31,5)) \pright(0,20){} % bottom
		\cmor((3,33)(2,20)(3,8)) \pdown(10,10){} %left
		\cmor((5,35)(20,36)(32,35)) \pright(15,15){} %top
		\cmor((37,32)(38,20)(37,8)) \pdown(3,4){} %right
		\enddc\]
		Therefore $\eta$ is a natural transformation from \id{\textbf{Set}} to $\wp$. \pend
		\item  Consider the following diagram:
		\[\begindc{\commdiag}[3]
		\obj(10,30)[a]{$\wp\wp(A)$}
		%\obj(3,35)[g]{$a$}
		\obj(30,30)[c]{$\wp\wp(B)$}
		%\obj(37,35)[hg]{$f(a)$}
		\obj(10,10)[b]{$\wp(A)$}
		%\obj(3,5)[gf]{$\{a\}$}
		\obj(30,10)[d]{$\wp(B)$}
		%\obj(37,5)[hgf]{$f(\{a\})$}
		\mor{a}{b}{$\theta_{A}$}[-1,0]
		\mor{c}{d}{$\theta_{B}$}
		\mor{a}{c}{$\wp(f)$}
		\mor{b}{d}{$f$}[-1,0]
		%\cmor((7,5)(20,4)(31,5)) \pright(0,20){} % bottom
		%\cmor((3,33)(2,20)(3,8)) \pdown(10,10){} %left
		%\cmor((5,35)(20,36)(32,35)) \pright(15,15){} %top
		%\cmor((37,32)(38,20)(37,8)) \pdown(3,4){} %right
		\enddc\]
		Let $X$ be an element of $\wp\wp(A)$. Then $\theta_A(X) = \bigcup X$ and $f(X) \in \wp\wp(B)$, as shown in the diagram
		\[\begindc{\commdiag}[3]
		\obj(10,30)[a]{$\wp\wp(A)$}
		\obj(3,35)[g]{$X$}
		\obj(30,30)[c]{$\wp\wp(B)$}
		\obj(37,35)[hg]{$f(X)$}
		\obj(10,10)[b]{$\wp(A)$}
		\obj(3,5)[gf]{$\bigcup X$}
		\obj(30,10)[d]{$\wp(B)$}
		%\obj(37,5)[hgf]{$f(\{a\})$}
		\mor{a}{b}{$\theta_{A}$}[-1,0]
		\mor{c}{d}{$\theta_{B}$}
		\mor{a}{c}{$\wp(f)$}
		\mor{b}{d}{$f$}[-1,0]
		%\cmor((7,5)(20,4)(31,5)) \pright(0,20){} % bottom
		\cmor((3,33)(2,20)(3,8)) \pdown(10,10){} %left
		\cmor((5,35)(20,36)(32,35)) \pright(15,15){} %top
		%\cmor((37,32)(38,20)(37,8)) \pdown(3,4){} %right
		\enddc\]
		Now $\theta_B(f(X)) = \bigcup f(X)$. Also, $f(\bigcup X) = \bigcup f(X)$, so the following diagram commutes
		\[\begindc{\commdiag}[3]
		\obj(10,30)[a]{$\wp\wp(A)$}
		\obj(3,35)[g]{$X$}
		\obj(30,30)[c]{$\wp\wp(B)$}
		\obj(37,35)[hg]{$f(X)$}
		\obj(10,10)[b]{$\wp(A)$}
		\obj(3,5)[gf]{$\bigcup X$}
		\obj(30,10)[d]{$\wp(B)$}
		\obj(37,5)[hgf]{$\bigcup f(X)$}
		\mor{a}{b}{$\theta_{A}$}[-1,0]
		\mor{c}{d}{$\theta_{B}$}
		\mor{a}{c}{$\wp(f)$}
		\mor{b}{d}{$f$}[-1,0]
		\cmor((7,5)(20,4)(30,5)) \pright(0,20){} % bottom
		\cmor((3,33)(2,20)(3,8)) \pdown(10,10){} %left
		\cmor((5,35)(20,36)(32,35)) \pright(15,15){} %top
		\cmor((37,32)(38,20)(37,8)) \pdown(3,4){} %right
		\enddc\]
		Therefore $\theta$ is a natural transformation from $\wp^2$ to $\wp$. \pend
	\end{enumerate}
	\item \begin{enumerate}[(a)]
		\item Consider the following diagram:
		\[\begindc{\commdiag}[5]
		%\obj(3,5)[gf]{$gf$}
		%\obj(3,35)[g]{$g$}
		%\obj(37,5)[hgf]{$hgf$}
		%\obj(37,35)[hg]{$hg$}
		\obj(10,10)[b]{Hom($A$,$Y$)}
		\obj(10,30)[a]{Hom($A$,$X$)}
		\obj(30,30)[c]{Hom($B$,$X$)}
		\obj(30,10)[d]{Hom($B$,$Y$)}
		\mor{a}{b}{$\eta_{f,A}$}[-1,0]
		\mor{c}{d}{$\eta_{f,B}$}
		\mor{a}{c}{\scriptsize{Hom($h$,$X$)}}
		\mor{b}{d}{\scriptsize{Hom($h$,$Y$)}}[-1,0]
		%\cmor((5,5)(20,4)(34,5)) \pright(0,20){}
		%\cmor((3,33)(2,20)(3,7)) \pdown(10,10){}
		%\cmor((5,35)(20,36)(35,35)) \pright(15,15){}
		%\cmor((37,33)(38,20)(37,7)) \pdown(3,4){}
		\enddc\]
		Let $g$ be an element of Hom($A$,$X$). Then $\eta_{f,A}(g) = gf$, as shown on the diagram
		\[\begindc{\commdiag}[5]
		\obj(3,5)[gf]{$gf$}
		\obj(3,35)[g]{$g$}
		%\obj(37,5)[hgf]{$hgf$}
		%\obj(37,35)[hg]{$hg$}
		\obj(10,10)[b]{Hom($A$,$Y$)}
		\obj(10,30)[a]{Hom($A$,$X$)}
		\obj(30,30)[c]{Hom($B$,$X$)}
		\obj(30,10)[d]{Hom($B$,$Y$)}
		\mor{a}{b}{$\eta_{f,A}$}[-1,0]
		\mor{c}{d}{$\eta_{f,B}$}
		\mor{a}{c}{\scriptsize{Hom($h$,$X$)}}
		\mor{b}{d}{\scriptsize{Hom($h$,$Y$)}}[-1,0]
		%\cmor((5,5)(20,4)(34,5)) \pright(0,20){}
		\cmor((3,33)(2,20)(3,7)) \pdown(10,10){}
		%\cmor((5,35)(20,36)(35,35)) \pright(15,15){}
		%\cmor((37,33)(38,20)(37,7)) \pdown(3,4){}
		\enddc\]
		Next, Hom($h$,$Y$)($g$) = $hgf$, as shown on the diagram
		\[\begindc{\commdiag}[5]
		\obj(3,5)[gf]{$gf$}
		\obj(3,35)[g]{$g$}
		\obj(37,5)[hgf]{$hgf$}
		%\obj(37,35)[hg]{$hg$}
		\obj(10,10)[b]{Hom($A$,$Y$)}
		\obj(10,30)[a]{Hom($A$,$X$)}
		\obj(30,30)[c]{Hom($B$,$X$)}
		\obj(30,10)[d]{Hom($B$,$Y$)}
		\mor{a}{b}{$\eta_{f,A}$}[-1,0]
		\mor{c}{d}{$\eta_{f,B}$}
		\mor{a}{c}{\scriptsize{Hom($h$,$X$)}}
		\mor{b}{d}{\scriptsize{Hom($h$,$Y$)}}[-1,0]
		\cmor((5,5)(20,4)(34,5)) \pright(0,20){}
		\cmor((3,33)(2,20)(3,7)) \pdown(10,10){}
		%\cmor((5,35)(20,36)(35,35)) \pright(15,15){}
		%\cmor((37,33)(38,20)(37,7)) \pdown(3,4){}
		\enddc\]
		Also, $\Hom(h,X)(g) = hg$, as shown on the diagram
		\[\begindc{\commdiag}[5]
		\obj(3,5)[gf]{$gf$}
		\obj(3,35)[g]{$g$}
		\obj(37,5)[hgf]{$hgf$}
		\obj(37,35)[hg]{$hg$}
		\obj(10,10)[b]{Hom($A$,$Y$)}
		\obj(10,30)[a]{Hom($A$,$X$)}
		\obj(30,30)[c]{Hom($B$,$X$)}
		\obj(30,10)[d]{Hom($B$,$Y$)}
		\mor{a}{b}{$\eta_{f,A}$}[-1,0]
		\mor{c}{d}{$\eta_{f,B}$}
		\mor{a}{c}{\scriptsize{Hom($h$,$X$)}}
		\mor{b}{d}{\scriptsize{Hom($h$,$Y$)}}[-1,0]
		\cmor((5,5)(20,4)(34,5)) \pright(0,20){}
		\cmor((3,33)(2,20)(3,7)) \pdown(10,10){}
		\cmor((5,35)(20,36)(35,35)) \pright(15,15){}
		%\cmor((37,33)(38,20)(37,7)) \pdown(3,4){}
		\enddc\]
		Finally, $\eta_{f,B}(hg) = hgf$, and the following diagram commutes
		\[\begindc{\commdiag}[5]
		\obj(3,5)[gf]{$gf$}
		\obj(3,35)[g]{$g$}
		\obj(37,5)[hgf]{$hgf$}
		\obj(37,35)[hg]{$hg$}
		\obj(10,10)[b]{Hom($A$,$Y$)}
		\obj(10,30)[a]{Hom($A$,$X$)}
		\obj(30,30)[c]{Hom($B$,$X$)}
		\obj(30,10)[d]{Hom($B$,$Y$)}
		\mor{a}{b}{$\eta_{f,A}$}[-1,0]
		\mor{c}{d}{$\eta_{f,B}$}
		\mor{a}{c}{\scriptsize{Hom($h$,$X$)}}
		\mor{b}{d}{\scriptsize{Hom($h$,$Y$)}}[-1,0]
		\cmor((5,5)(20,4)(34,5)) \pright(0,20){}
		\cmor((3,33)(2,20)(3,7)) \pdown(10,10){}
		\cmor((5,35)(20,36)(35,35)) \pright(15,15){}
		\cmor((37,33)(38,20)(37,7)) \pdown(3,4){}
		\enddc\]
		Therefore $\eta_f$ is a natural transformation from $\Hom(\bullet,X)$ to $\Hom(\bullet,Y)$. \pend
		\item Let $f: C \to D$. Then $Y(f) = \eta_f: \Hom(\bullet, C) \to \Hom(\bullet, D)$. So $Y(f): Y(C) \to Y(D)$. \\
		Let $f: C \to D$ and $g: D \to E$. Then $Y(f)Y(g) = \eta_f\eta_g$. Then $\eta_{g,A}(\eta_{f,A}(h)) = \eta_{g,A}(hf) = hfg = \eta_{fg,A}(h)$. So $Y(f)Y(g) = Y(fg)$. \\
		Also, $Y(\id{X}) = \eta_{\id{X}} : \Hom(\bullet, X) \to \Hom(\bullet, X)$. As identities are unique, and $\id{Y(X)}: \Hom(\bullet, X) \to \Hom(\bullet, X)$; $Y(\id{X}) = \id{Y(X)}$. \\
		As these three conditions hold, $Y$ is a functor. \pend
		\item As $\theta$ is a natural transformation, the following diagram commutes
		\[\begindc{\commdiag}[5]
		\obj(10,30)[a]{$\Hom(X,X)$}
		%\obj(3,35)[g]{$a$}
		\obj(30,30)[c]{$\Hom(A,X)$}
		%\obj(37,35)[hg]{$f(a)$}
		\obj(10,10)[b]{$F(X)$}
		%\obj(3,5)[gf]{$\{a\}$}
		\obj(30,10)[d]{$F(A)$}
		%\obj(37,5)[hgf]{$f(\{a\})$}
		\mor{a}{b}{$\theta_{X}$}[-1,0]
		\mor{c}{d}{$\theta_{A}$}
		\mor{a}{c}{\scriptsize{Hom($g$,$X$)}}
		\mor{b}{d}{$F(g)$}[-1,0]
		%\cmor((7,5)(20,4)(31,5)) \pright(0,20){} % bottom
		%\cmor((3,33)(2,20)(3,8)) \pdown(10,10){} %left
		%\cmor((5,35)(20,36)(32,35)) \pright(15,15){} %top
		%\cmor((37,32)(38,20)(37,8)) \pdown(3,4){} %right
		\enddc\]
		There is only one arrow in $\Hom(X,X)$, namely \id{X}. The following shows this in operation on the diagram
		\[\begindc{\commdiag}[5]
		\obj(10,30)[a]{$\Hom(X,X)$}
		\obj(3,35)[g]{id$_X$}
		\obj(30,30)[c]{$\Hom(A,X)$}
		\obj(37,35)[hg]{$g$}
		\obj(10,10)[b]{$F(X)$}
		\obj(3,5)[gf]{$\theta_X(\id{X})$}
		\obj(30,10)[d]{$F(A)$}
		\obj(37,5)[hgf]{$\theta_A(g)$}
		\mor{a}{b}{$\theta_{X}$}[-1,0]
		\mor{c}{d}{$\theta_{A}$}
		\mor{a}{c}{\scriptsize{Hom($g$,$X$)}}
		\mor{b}{d}{$F(g)$}[-1,0]
		\cmor((8,5)(20,4)(33,5)) \pright(0,20){} % bottom
		\cmor((3,33)(2,20)(3,8)) \pdown(10,10){} %left
		\cmor((5,35)(20,36)(35,35)) \pright(15,15){} %top
		\cmor((37,33)(38,20)(37,8)) \pdown(3,4){} %right
		\enddc\]
		As the diagram commutes, the element $\theta_A(g)$ could also be written as $\theta_X(\id{X})F(g)$. \\
		Therefore $\theta_A(g) = \theta_X(\id{X})F(g)$. \pend
		\item By part (c), the natural transformation $\theta$ is completely determined by $\theta_X(\id{X}) \in F(X)$. Conversely, any element of $F(X)$ determines a natural transformation from $\Hom(\bullet, X)$ to $F$. \\
		Therefore $\theta \mapsto \theta_X(\id{X})$ gives a bijection between the set of natural transformations from $\Hom(\bullet, X)$ to $F$ and the set $F(X)$. \pend
		\item
		\item
	\end{enumerate}
	\item \begin{enumerate}
		\item[\ltr] As $GF \cong \id{\mbc{D}}$, each $D \in \mbc{D}$ has the form $D \cong F(G(D))$ for some $C = G(D) \in \mbc{C}$. The natural isomorphism $\theta: FG \cong \id{\mbc{C}}$ gives each $f: C \to C'$ the commutative square
			\begin{diagram}
			FG(C) & \rTo^{\theta_{C}} & C \\
			\dTo^{FG(f)} & & \dTo_{f} \\
			FG(C') & \rTo_{\theta_{C'}} & C'
			\end{diagram}
		Hence $f = \theta_{C}^{-1}FGf\theta_{C'}$ and so $F$ is faithful. By symmetrical reasoning, and using the fact that $GF \cong \id{\mbc{D}}$, $G$ is faithful. \\
		Consider $k: FC \to FC'$ and set $f = \theta_{C}^{-1}Gh\theta_{C'}$. Then the above square commutes with $FG(f)$ replaced with $G(h)$. Since $G$ is faithful, $Ff = h$, so $F$ is full.
		\item[\rtl] 
		\end{enumerate}
	\item \begin{enumerate}[(a)]
		\item Consider the following equaliser diagram: \[\begindc{\commdiag}[1]
			\obj(0,0)[X]{$X$}
			\obj(-50,0)[E]{$E$}
			\obj(50,0)[Y]{$Y$}
			\obj(0,50)[D]{$D$}
			\mor{E}{X}{$e$}[-1,0]
			\mor(0,3)(50,3){$f$}
			\mor(0,-3)(50,-3){$g$}[-1,0]
			\mor{D}{X}{$h$}
			\mor(-3,47)(-47,3){$k'$}
			\mor(-6,50)(-50,6){$k$}[-1,0]
			\enddc\]
		Let $hf = hg$. Then $ke = h = k'e$, but the arrow from $D$ to $E$ is unique as $e$ is an equaliser, so $k = k'$ and therefore $e$ is mono. \pend
		\item \begin{enumerate}
			\item[\ltr] If $e$ is an isomorphism, it is also mono and epi. So, as $ef = eg$ and $e$ is epi, $f = g$.
			\item[\rtl] Consider the following diagram
				\begin{diagram}[nohug]
			 	& & X & & \\
			 	& \ldTo^k & \dTo_{\id{X}} & & \\
				E & \rTo_e & X & \pile{\rTo^f \\ \rTo_g} & Y
				\end{diagram}
			with $ef = eg$. As $e$ is an equaliser, $\id{X}f = \id{X}g$, so $f = g$. Therefore $ke = \id{X}$, so $e$ is both mono and split epi, and, by a previous result, is therefore iso. \pend
		\end{enumerate}
		\item In \cat{Set}, the monos are injective functions. Consider the following diagram, with $e$ a mono: \[\begindc{\commdiag}[1]
			\obj(0,0)[X]{$X$}
			\obj(-50,0)[E]{$E$}
			\obj(50,0)[Y]{$Y$}
			\obj(0,50)[D]{$D$}
			\mor{E}{X}{$e$}[-1,0]
			\mor(0,3)(50,3){$f$}
			\mor(0,-3)(50,-3){$g$}[-1,0]
			\mor{D}{X}{$h$}
			\mor(-3,47)(-47,3){$k'$}
			\mor(-6,50)(-50,6){$k$}[-1,0]
			\enddc\]
			Let $ke = h = k'e$. Then $ke(\mf{d}) = k'e(\mf{d})$, for some $\mf{d} \in D$. So $e(k(\mf{d})) = e(k'(\mf{d}))$. As $e$ is an injection, $k(\mf{d}) = k'(\mf{d})$, and therefore $k = k'$, so the induced map is unique and the diagram is therefore an equaliser diagram. \pend
	\end{enumerate}
	\item \begin{enumerate}[(a)]
		\item Consider the following diagram:
			\begin{diagram}
				\bullet & \pile{\rTo^c \\ \rTo_d} & A & \rTo^b & B \\
				 & & \dTo^a & & \dTo_f \\
				 & & X & \rTo_g & Y
			\end{diagram}
		with $A$ as a pullback and $ca = da$. Then $cag = dag$. As the diagram commutes, $cbf = dbf$. $f$ is a mono, so $cb = db$. Coupled with $ca = da$, $c = d$ as $A$ is pullback. Therefore $a$ is mono. \pend \\
		Now, $f$ is iso, so it is invertible, with inverse $h$, as this diagram shows
			\[\begindc{\commdiag}[5]
			%\obj(0,30)[p2]{$A$}
			%\obj(10,20)[p1]{$X$}
			\obj(20,10)[A]{$A$}
			\obj(30,10)[B]{$B$}
			\obj(20,0)[X]{$X$}
			\obj(30,0)[Y]{$Y$}
			\mor{A}{X}{$a$}[-1,0]
			\mor(31,10)(31,0){$f$}
			\mor(29,0)(29,10){$h$}
			\mor{A}{B}{$b$}
			\mor{X}{Y}{$g$}[-1,0]
			%\cmor((12,20)(25,17)(30,12)) \pdown(22,20){$gh$}
			%\cmor((10,18)(13,5)(18,0)) \pright(10,8){$id_X$}
			%\mor{p1}{A}{$k$}
			%\cmor((2,30)(23,27)(30,15)) \pdown(20,30){$b$}
			%\cmor((0,28)(3,7)(15,0)) \pright(0,10){$a$}
			%\mor{p2}{p1}{$a$}
			\enddc\]
		As this diagram is a pullback, this diagram follows, with an incuded map, $k$, that makes the diagram commute. Therefore, $ka = \id{X}$
			\[\begindc{\commdiag}[5]
			%\obj(0,30)[p2]{$A$}
			\obj(10,20)[p1]{$X$}
			\obj(20,10)[A]{$A$}
			\obj(30,10)[B]{$B$}
			\obj(20,0)[X]{$X$}
			\obj(30,0)[Y]{$Y$}
			\mor{A}{X}{$a$}[-1,0]
			\mor(31,10)(31,0){$f$}
			\mor(29,0)(29,10){$h$}
			\mor{A}{B}{$b$}
			\mor{X}{Y}{$g$}[-1,0]
			\cmor((12,20)(25,17)(30,12)) \pdown(22,20){$gh$}
			\cmor((10,18)(13,5)(18,0)) \pright(10,8){id$_X$}
			\mor{p1}{A}{$k$}[1,1]
			%\cmor((2,30)(23,27)(30,15)) \pdown(20,30){$b$}
			%\cmor((0,28)(3,7)(15,0)) \pright(0,10){$a$}
			%\mor{p2}{p1}{$a$}
			\enddc\]
		Now consider another pullback, as this diagram shows:
			\[\begindc{\commdiag}[5]
			\obj(0,30)[p2]{$A$}
			\obj(10,20)[p1]{$X$}
			\obj(20,10)[A]{$A$}
			\obj(30,10)[B]{$B$}
			\obj(20,0)[X]{$X$}
			\obj(30,0)[Y]{$Y$}
			\mor{A}{X}{$a$}[-1,0]
			\mor(31,10)(31,0){$f$}
			\mor(29,0)(29,10){$h$}
			\mor{A}{B}{$b$}
			\mor{X}{Y}{$g$}[-1,0]
			\cmor((12,20)(25,17)(30,12)) \pdown(22,20){$gh$}
			\cmor((10,18)(13,5)(18,0)) \pright(10,8){id$_X$}
			\mor{p1}{A}{$k$}
			\cmor((2,30)(23,27)(30,15)) \pdown(20,30){$b$}
			\cmor((0,28)(3,7)(15,0)) \pright(0,10){$a$}
			\mor{p2}{p1}{$a$}
			\enddc\]
		As pullbacks are unique, this means that $ak = \id{A}$. Coupled with $ka = \id{X}$, this means that $k$ is the inverse of $a$, and therefore $a$ is iso. \pend
		\item If the square is a pullback, then the following diagram commutes:
			\[\begindc{\commdiag}[5]
			\obj(10,20)[p1]{$Z$}
			\obj(20,10)[A]{$A$}
			\obj(30,10)[B]{$A$}
			\obj(20,0)[X]{$A$}
			\obj(30,0)[Y]{$B$}
			\mor{A}{X}{id$_A$}[-1,0]
			\mor{B}{Y}{$f$}
			\mor{A}{B}{id$_A$}
			\mor{X}{Y}{$f$}[-1,0]
			\cmor((12,20)(25,17)(30,12)) \pdown(22,20){$p$}
			\cmor((10,18)(13,5)(18,0)) \pright(10,8){$q$}
			\mor{p1}{A}{$g$}[1,1]
			\enddc\]
		As the diagram commutes, $p = g\id{A}$ and $q = g\id{A}$. Also, $pf = qf$. As both $g$ and \id{A} are unique, this implies that $p = q$ and therefore $f$ is a mono. \\
		Now, assume $f$ is mono, and consider the same diagram. $pf = qf$ and $p = q$, as $f$ is mono. As $p = q$, there is an induced mapping, $g$, such that $p = g\id{A} = q$. This arrow makes the diagram commute, and therefore the square is a pullback. \pend
		\item Both squares are pullbacks, so the following diagrams commute:
			\[\begindc{\commdiag}[5]
			\obj(10,20)[p1]{$L$}
			\obj(20,10)[A]{$A$}
			\obj(30,10)[B]{$B$}
			\obj(20,0)[X]{$X$}
			\obj(30,0)[Y]{$Y$}
			\mor{A}{X}{$a$}[-1,0]
			\mor{B}{Y}{$f$}
			\mor{A}{B}{$b$}
			\mor{X}{Y}{$g$}[-1,0]
			\cmor((12,20)(25,17)(30,12)) \pdown(22,20){$t$}
			\cmor((10,18)(13,5)(18,0)) \pright(10,8){$q$}
			\mor{p1}{A}{$k$}[1,1]
			\obj(50,20)[p1a]{$L$}
			\obj(60,10)[Aa]{$B$}
			\obj(70,10)[Ba]{$C$}
			\obj(60,0)[Xa]{$Y$}
			\obj(70,0)[Ya]{$Z$}
			\mor{Aa}{Xa}{$f$}[-1,0]
			\mor{Ba}{Ya}{$d$}
			\mor{Aa}{Ba}{$c$}
			\mor{Xa}{Ya}{$h$}[-1,0]
			\cmor((52,20)(65,17)(70,12)) \pdown(62,20){$p$}
			\cmor((50,18)(53,5)(58,0)) \pright(50,8){$u$}
			\mor{p1a}{Aa}{$t$}[1,1]
			\enddc\]
		Now consider the composite square:
			\[\begindc{\commdiag}[5]
			\obj(10,20)[p1]{$L$}
			\obj(20,10)[A]{$A$}
			\obj(30,10)[B]{$C$}
			\obj(20,0)[X]{$X$}
			\obj(30,0)[Y]{$Z$}
			\mor{A}{X}{$a$}[-1,0]
			\mor{B}{Y}{$d$}
			\mor{A}{B}{$bc$}
			\mor{X}{Y}{$gh$}[-1,0]
			\cmor((12,20)(25,17)(30,12)) \pdown(22,20){$p$}
			\cmor((10,18)(13,5)(18,0)) \pright(10,8){$q$}
			\mor{p1}{A}{$k$}[1,1]
			\enddc\]
		\begin{align*}
			pd &= uh \tag{RHS is a pullback} \\
			&= tfh \tag{RHS is a pullback} \\
			&= qgh \tag{LHS is a pullback}
		\end{align*}
		Therefore the diagram commutes and the composite square is a pullback. \pend
		\item Both the right hand square and the composite square are pullbacks, so the following diagrams commute:
			\[\begindc{\commdiag}[5]
			\obj(10,20)[p1]{$A$}
			\obj(20,10)[A]{$A$}
			\obj(30,10)[B]{$C$}
			\obj(20,0)[X]{$X$}
			\obj(30,0)[Y]{$Z$}
			\mor{A}{X}{$a$}[-1,0]
			\mor{B}{Y}{$d$}
			\mor{A}{B}{$bc$}
			\mor{X}{Y}{$gh$}[-1,0]
			\cmor((12,20)(25,17)(30,12)) \pdown(22,20){$bc$}
			\cmor((10,18)(13,5)(18,0)) \pright(10,8){$a$}
			\mor{p1}{A}{id$_A$}[1,1]
			\obj(50,20)[p1a]{$A$}
			\obj(60,10)[Aa]{$B$}
			\obj(70,10)[Ba]{$C$}
			\obj(60,0)[Xa]{$Y$}
			\obj(70,0)[Ya]{$Z$}
			\mor{Aa}{Xa}{$f$}[-1,0]
			\mor{Ba}{Ya}{$d$}
			\mor{Aa}{Ba}{$c$}
			\mor{Xa}{Ya}{$h$}[-1,0]
			\cmor((52,20)(65,17)(70,12)) \pdown(62,20){$bc$}
			\cmor((50,18)(53,5)(58,0)) \pright(50,8){$ag$}
			\mor{p1a}{Aa}{$b$}[1,1]
			\enddc\]
		Now consider the left hand square:
			\[\begindc{\commdiag}[5]
			\obj(10,20)[p1]{$A$}
			\obj(20,10)[A]{$A$}
			\obj(30,10)[B]{$B$}
			\obj(20,0)[X]{$X$}
			\obj(30,0)[Y]{$Y$}
			\mor{A}{X}{$a$}[-1,0]
			\mor{B}{Y}{$f$}
			\mor{A}{B}{$b$}
			\mor{X}{Y}{$g$}[-1,0]
			\cmor((12,20)(25,17)(30,12)) \pdown(22,20){$b$}
			\cmor((10,18)(13,5)(18,0)) \pright(10,8){$a$}
			\mor{p1}{A}{id$_A$}[1,1]
			\enddc\]
		The combined diagram shows that the induced mapping $A \to A$ is \id{A}. The right hand square diagram shows that $ag = bf$, so the left hand square commutes and is therefore a pullback square. \pend
	\end{enumerate}
	\item \begin{enumerate}[(a)]
		\item From an earlier result, we know that if $f$ is mono, then so is $a$. So all that remains to show is that $a$ fits into an equaliser diagram. Consider the following pullback
			\[\begindc{\commdiag}[5]
			%\obj(10,20)[p1]{$D$}
			\obj(20,10)[A]{$A$}
			\obj(30,10)[B]{$B$}
			\obj(20,0)[X]{$X$}
			\obj(30,0)[Y]{$Y$}
			\obj(20,-10)[Z]{$Z$}
			\mor{A}{X}{$a$}[-1,0]
			\mor{B}{Y}{$f$}
			\mor{A}{B}{$b$}
			\mor{X}{Y}{$g$}[-1,0]
			%\cmor((12,20)(25,17)(30,12)) \pdown(22,20){$q$}
			%\cmor((10,18)(13,5)(18,0)) \pright(10,8){$q$}
			%\mor{p1}{A}{$k$}[1,1]
			\mor(19,0)(19,-10){$h$}[-1,0]
			\mor(21,0)(21,-10){$h'$}
			\enddc\]
		with $ah = ah'$. Let $D \in \cobj{C}$ with arrows $q: D \to X$ and $p: D \to B$ such that $qg = pf$ and $qh = qh'$, as shown on the diagram
			\[\begindc{\commdiag}[5]
			\obj(10,20)[p1]{$D$}
			\obj(20,10)[A]{$A$}
			\obj(30,10)[B]{$B$}
			\obj(20,0)[X]{$X$}
			\obj(30,0)[Y]{$Y$}
			\obj(20,-10)[Z]{$Z$}
			\mor{A}{X}{$a$}[-1,0]
			\mor{B}{Y}{$f$}
			\mor{A}{B}{$b$}
			\mor{X}{Y}{$g$}[-1,0]
			\cmor((12,20)(25,17)(30,12)) \pdown(22,20){$p$}
			\cmor((10,18)(13,5)(18,0)) \pright(10,8){$q$}
			%\mor{p1}{A}{$k$}[1,1]
			\mor(19,0)(19,-10){$h$}[-1,0]
			\mor(21,0)(21,-10){$h'$}
			\enddc\]
		As the square is a pullback, there is a unique arrow induced from $D$ to $A$, $k$, such that $ka = q$ and $kb =p$.
		\[\begindc{\commdiag}[5]
			\obj(10,20)[p1]{$D$}
			\obj(20,10)[A]{$A$}
			\obj(30,10)[B]{$B$}
			\obj(20,0)[X]{$X$}
			\obj(30,0)[Y]{$Y$}
			\obj(20,-10)[Z]{$Z$}
			\mor{A}{X}{$a$}[-1,0]
			\mor{B}{Y}{$f$}
			\mor{A}{B}{$b$}
			\mor{X}{Y}{$g$}[-1,0]
			\cmor((12,20)(25,17)(30,12)) \pdown(22,20){$q$}
			\cmor((10,18)(13,5)(18,0)) \pright(10,8){$q$}
			\mor{p1}{A}{$k$}[1,1]
			\mor(19,0)(19,-10){$h$}[-1,0]
			\mor(21,0)(21,-10){$h'$}
			\enddc\]	
			From this, it can be seen that $a$ fits into the equaliser diagram $A \rTo^a X \pile{\rTo^h \\ \rTo_{h'}} Z$, and is therefore a regular mono. \pend
		\item From an earlier result, we know that if $A \rTo^f B \pile{\rTo^g \\ \rTo_h} C$ is an equaliser diagram, then $f$ is iso iff $g = h$. \\
		$f$ is a regular mono, so it fits into the equaliser diagram above. $f$ is also epi, so if $fg = fh$, which is the case, then $g = h$. Therefore, by (10 b), $f$ is iso. \pend
		\item Let $f: A \to B$ be a split mono. Then there exists $k: B \to A$ such that $kf = \id{B}$. Consider the following diagram
			\begin{diagram}[nohug]
			 & & B & & \\
			 & \ldTo^k & \dTo_{\id{B}} & & \\
			A & \rTo_f & B & \pile{\rTo^g \\ \rTo_h} & C
			\end{diagram}
		with $fg = fh$ and $\id{B}g = \id{B}h$. As $f$ is a split mono, $k$ exists and is unique by uniqueness of identity arrows. So $f$ fits into an equaliser diagram, and so every split mono is regular. \pend
		\item
	\end{enumerate}
\end{enumerate}

\end{document}